Subject: Re: [PATCH/RFC] git svn: handle errors and concurrent commits in dcommit

From: Junio C Hamano <[email-masked]>
Date: Sun, 19 Aug 2012 18:20:23 -0700

Robert Luberda <[email-masked]> writes:

> Eric Wong wrote:
>
> Hi,
>
>> Junio C Hamano <[email-masked]> wrote:
>>> I should have asked this yesterday, but do you mean you want to have
>>> your "maint" in the upcoming 1.7.12?  This does look like a useful
>>> thing to do, but does not seem like a regression fix to me.
>> 
>> Yeah, I wasn't sure what to name it since my master is still carrying
>> Michael's larger SVN 1.7 changes.   Perhaps I should've named my "maint"
>> "for-git-master" in this case...
>
>
> While working on my next patch, I've accidentally discovered that bash gives
> the following errors in the test file introduced in my commit :
>
> ./t9164-git-svn-dcommit-concrrent.sh: line 65: $hook: ambiguous redirect
> ./t9164-git-svn-dcommit-concrrent.sh: line 66: $hook: ambiguous redirect

Thanks.  It is this one (especially the latter half "Note that")
in the Documentation/CodingGuidelines.

 - Redirection operators should be written with space before, but no
   space after them.  In other words, write 'echo test >"$file"'
   instead of 'echo test> $file' or 'echo test > $file'.  Note that
   even though it is not required by POSIX to double-quote the
   redirection target in a variable (as shown above), our code does so
   because some versions of bash issue a warning without the quotes.